Bug 449248 - Keyboard 'Repeat Keys' settings are not preserved
Keyboard 'Repeat Keys' settings are not preserved
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 17:43 EDT by Anze Zagar
Modified: 2009-05-07 23:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-07 23:49:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anze Zagar 2008-05-31 17:43:03 EDT
Description of problem:
Delay and Speed setting of 'Repeat Keys' in gnome-keyboard-preferences does not
preserve after restart of fedora.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Change settings for Delay and Speed of 'Repeat Keys' in
gnome-keyboard-properties [make a significant change, so that the difference is
evident]
2. Restart fedora
3. Open gedit and hold some key.

Actual results:
Keyboard 'repeat keys' speed and delay are reset to fedora defaults although
gnome-keyboard-properties is showing modified values. As a workaround, I can
change one of these settings just slightly so that they get reloaded.

Expected results:
Modified keyboard 'repeat keys' property values should be used.

Additional info:
Comment 1 emo 2009-01-29 10:45:19 EST
You can try this one: add to the InputDevice section in /etc/X11/xorg.conf an entry for "AutoRepeat":
Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
        Option "AutoRepeat" "250 40"
EndSection

Enjoy!
Comment 2 Bastien Nocera 2009-01-30 06:16:08 EST
This looks similar to bug 474758, but for keyboards. Ray, what do you think?

Anze, could you check whether the same problem happens when unplugging/replugging the keyboard (or a keyboard if you're doing this on a laptop)?
Comment 3 Anze Zagar 2009-01-30 12:35:12 EST
Actually, I switched to Ubuntu a few months ago, so I can no longer provide you with any feedback on this.

Note You need to log in before you can comment on or make changes to this bug.